> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user balance

> Retrieve the authenticated user's current balance across all accounts (main, warehouse, store credit) in both EUR and USD.



## OpenAPI

````yaml /api/openapi.json get /v2/payments/balance
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/payments/balance:
    get:
      tags:
        - Payments
      summary: Get user balance
      description: >-
        Retrieve the authenticated user's current balance across all accounts
        (main, warehouse, store credit) in both EUR and USD.
      responses:
        '200':
          description: User balance information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserBalance'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    UserBalance:
      description: User balance object containing all available balances and credits
      type: object
      properties:
        message:
          description: Informational message about the user balance status
          type: string
        balance_eur:
          description: Main withdrawable balance in EUR currency
          type: string
        balance_usd:
          description: Main withdrawable balance converted to USD
          type: string
        warehouse_balance_eur:
          description: Warehouse balance (from warehouse sales) in EUR currency
          type: string
        warehouse_balance_usd:
          description: Warehouse balance (from warehouse sales) converted to USD
          type: string
        store_credit_eur:
          description: Non-withdrawable store credit that can be used for purchases in EUR
          type: string
        store_credit_usd:
          description: Non-withdrawable store credit that can be used for purchases in USD
          type: string
        gb_coins:
          description: GameBoost loyalty coins that can be redeemed for rewards
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````